Bug 127650 - Flipped GIF animation was shown in original orientation when presenting
Summary: Flipped GIF animation was shown in original orientation when presenting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Object-Rotation
  Show dependency treegraph
 
Reported: 2019-09-20 02:50 UTC by Franklin Weng
Modified: 2023-05-20 05:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Animated GIF file (30.64 KB, image/gif)
2019-09-20 02:50 UTC, Franklin Weng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franklin Weng 2019-09-20 02:50:12 UTC
Created attachment 154305 [details]
Sample Animated GIF file

When inserting an animated gif image in a slide and flipped it either vertically or horizontally, this gif will be shown in originally orientation instead of flipping.


版本:6.3.1.2 (x86)
組建 ID:b79626edf0065ac373bd1df5c28bd630b4424273
CPU 執行緒:4; OS:Windows 10.0; UI 算繪:GL; VCL: win; 
語言地區:zh-TW (zh_TW); UI-Language: zh-TW
Calc: threaded

Reproducing steps:
1. Open a new Impress file
2. Insert attached gif file
3. flip the gif file vertically or horizontally
4. F5 to enter presenting mode

the gif file will be shown in the original way
Comment 1 Franklin Weng 2019-09-20 02:50:38 UTC
May be related to bug#98482
Comment 2 Xisco Faulí 2019-09-25 15:48:07 UTC
Same happens with rotation

Version: 6.4.0.0.alpha0+
Build ID: cc65651a0490383f1a833bb6215d8ec4272d8b5d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Xisco Faulí 2019-09-25 15:50:42 UTC
Also reproducible

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

most likely, it has been already reported. if you have time, please check for duplicates...
Comment 4 QA Administrators 2021-09-25 03:39:29 UTC Comment hidden (obsolete)
Comment 5 Franklin Weng 2021-09-25 03:52:46 UTC
(In reply to QA Administrators from comment #4)
> Dear Franklin Weng,
> 
> To make sure we're focusing on the bugs that affect our users today,
> LibreOffice QA is asking bug reporters and confirmers to retest open,
> confirmed bugs which have not been touched for over a year.
> 
> There have been thousands of bug fixes and commits since anyone checked on
> this bug report. During that time, it's possible that the bug has been
> fixed, or the details of the problem have changed. We'd really appreciate
> your help in getting confirmation that the bug is still present.
> 
> If you have time, please do the following:
> 
> Test to see if the bug is still present with the latest version of
> LibreOffice from https://www.libreoffice.org/download/
> 
> If the bug is present, please leave a comment that includes the information
> from Help - About LibreOffice.
>  
> If the bug is NOT present, please set the bug's Status field to
> RESOLVED-WORKSFORME and leave a comment that includes the information from
> Help - About LibreOffice.
> 
> Please DO NOT
> 
> Update the version field
> Reply via email (please reply directly on the bug tracker)
> Set the bug's Status field to RESOLVED - FIXED (this status has a particular
> meaning that is not 
> appropriate in this case)
> 
> 
> If you want to do more to help you can test to see if your issue is a
> REGRESSION. To do so:
> 1. Download and install oldest version of LibreOffice (usually 3.3 unless
> your bug pertains to a feature added after 3.3) from
> https://downloadarchive.documentfoundation.org/libreoffice/old/
> 
> 2. Test your bug
> 3. Leave a comment with your results.
> 4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
> 4b. If the bug was not present in 3.3 - add 'regression' to keyword
> 
> 
> Feel free to come ask questions or to say hello in our QA chat:
> https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa
> 
> Thank you for helping us make LibreOffice even better for everyone!
> 
> Warm Regards,
> QA Team
> 
> MassPing-UntouchedBug


Still reproducible in

Version: 7.2.0.4 / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: kf5 (cairo+xcb)
Locale: zh-TW (zh_TW.UTF-8); UI: zh-TW
Calc: threaded